Adds a new named construction plane to the document.
Rhino.AddNamedCPlane (strName [, strView [, arrPlane]])
strName |
Required. String. The name of the new named construction plane. |
||||||||||
strView |
Optional. String. The title or identifier of the view from which to save the construction plane. If omitted, the current active view is used. |
||||||||||
arrPlane |
Optional. Array. A custom construction plane. Specify this option is you want to save a construction plane different than that of the specified view's construction plane. The elements of a plane array are as follows:
|
String |
The name of the newly created named construction plane if successful. |
Null |
If not successful, or on error. |
Dim arrViews, strView, strName
arrViews = Rhino.ViewNames
If IsArray(arrViews) Then
For Each strView In arrViews
strName = strView & "_cplane"
Rhino.AddNamedCPlane strName, strView
Next
End If